<!doctype HTML>
<html>

<head>
    <title>Prestamos Biblioteca UAA</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="forms.css">
    <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, minimum-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
        integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <script type="text/javascript">
        $(document).ready(function () {
            $('#btn_ocultar').hide();
        });
    </script>
</head>

<body>
    <div class="container">
        <div class="jumbotron">
            <h1 class="display-4 d-flex justify-content-center">Cambios Prestamos de libros</h1>
            <p class="lead d-flex justify-content-center">Ingresa los datos que se te piden para modificar un libro</p>
            <hr class="my-4">
            <div class="row">
                <div class="col-3"></div>
                <div class="col-6">
                    <form action="../php/cambiosPrestamo.php" method="post" class="libraryForm">
                        <div class="formAltas">
                            <div class="input-group-prepend">
                                <span class="input-group-text">Cambios en Prestamos de Libros</span>
                            </div>
                            <div class="input-group mb-3">
                                <input type="text" class="form-control" placeholder="ID del Libro "
                                    aria-label="id_libro" aria-describedby="basic-addon1" name="id_libro" id="id_libro"
                                    required>
                            </div>
                            <div class="input-group mb-3">
                                <input type="text" class="form-control" placeholder="ID del Usuario"
                                    aria-label="id_user" aria-describedby="basic-addon1" name="id_user" id="id_user"
                                    required>
                            </div>
                            <div class="input-group mb-3 d-flex justify-content-center">
                                <input class="btn btn-primary" type="button" onclick="cargarJson()"
                                    value="Ver Prestamos activos" />
                                <input class="btn btn-secondary" type="button" onclick="ocultar()" id="btn_ocultar"
                                    value="Ocultar" />
                            </div>
                            <div id="mostrar"></div>
                            <div class="form-group mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-date">Fecha de Entrega</span>
                                </div>
                                <div class="col-mb-3">
                                    <input class="form-control" type="date" name="fecE" value="Fecha de Prestamo"
                                        id="fecP">
                                </div>
                            </div>
                            <div class="input-group mb-3 d-flex justify-content-center">
                                <button class="btn btn-primary" type="submit" value="alta">Registrar Prestamo</button>
                                <button class="btn btn-secondary" type="reset" value="borrar">Borrar Datos
                                    Ingresados</button>
                                <a class="btn btn-secondary" href="http://localhost/library-app/menu_admin.html"
                                    role="button">Regresar</a>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-3"></div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
        integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
        crossorigin="anonymous"></script>
</body>
<script>
    function cargarJson() {
        const request = new XMLHttpRequest();
        request.open('GET', 'domprestamos.php');
        request.onload = () => {
            try {
                var json = JSON.parse(request.responseText);

                Tabla(json);
            } catch (e) {
                alert("porque");
                console.log("EXISTE ERROR DE TIPO: " + request.status);
            }
        }
        request.send();
    }

    function Tabla(json) {
        var result = [];
        json.forEach(element => {
            var set = Object.values(element);
            result.push(set);
        });

        var tabladinamica = document.createElement('table');//Se crea una tabla 
        tabladinamica.setAttribute('id', 'users-table');                     //Se le asigna un id
        tabladinamica.setAttribute('class', 'table table-striped table-primary');   //Se le asigna el formato de bootstrap
        var thead = document.createElement('thead');// Se genra un thead
        thead.setAttribute('class', 'thead-dark');//Se le asigna estilo
        tabladinamica.appendChild(thead);
        var tr = tabladinamica.insertRow(0);
        var th_id = document.createElement('th');  //Se crean las columnas de la tabla
        var th_usuario = document.createElement('th');
        var th_nomb = document.createElement('th');
        var th_apep = document.createElement('th');
        var th_apem = document.createElement('th');
        var th_apem2 = document.createElement('th');

        th_id.innerHTML = "ID Libro ";                 //Se les da un nombre
        th_usuario.innerHTML = "ID Usuario";
        th_nomb.innerHTML = "Fecha inicial";
        th_apep.innerHTML = "Fecha final";
        th_apem.innerHTML = "Dias restantes";
        th_apem2.innerHTML = "Estado";

        tr.appendChild(th_id);    //Se abren tr apartir de los thead (padre->hijo) 
        tr.appendChild(th_usuario);
        tr.appendChild(th_nomb);
        tr.appendChild(th_apep);
        tr.appendChild(th_apem);
        tr.appendChild(th_apem2);

        thead.appendChild(tr)
        result.forEach((row) => {                       //Ciclos para llenar la tabla
            const tr_new = document.createElement("tr");
            row.forEach((cell) => {
                const td_new = document.createElement("td");
                td_new.textContent = cell;
                tr_new.appendChild(td_new);

                console.log(cell);
            })
            tabladinamica.appendChild(tr_new);
        });
        $('#btn_ocultar').show();
        var divContainer = document.getElementById("mostrar");
        divContainer.setAttribute("class", "container")
        divContainer.innerHTML = "";
        divContainer.appendChild(tabladinamica);
        $('#mostrar').show();
    }
    function ocultar() {
        $('#mostrar').hide();
        $('#btn_ocultar').hide();
    }
</script>

</html>